Get sandbox image status
curl --request GET \
--url https://api.thundercompute.com:8443/v1/sandbox-images/{imageId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.thundercompute.com:8443/v1/sandbox-images/{imageId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.thundercompute.com:8443/v1/sandbox-images/{imageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attempt": 123,
"created_at": "<string>",
"failure": "<string>",
"failure_code": "<string>",
"id": "<string>",
"managed_digest": "<string>",
"managed_reference": "<string>",
"source_type": "<string>",
"state": "BUILDING",
"updated_at": "<string>",
"upload": {
"expires_at": "<string>",
"host": "<string>",
"host_public_key": "<string>",
"path": "<string>",
"port": 123,
"username": "<string>"
}
}{
"code": 400,
"error": "invalid_request",
"message": "The request is malformed"
}{
"code": 400,
"error": "invalid_request",
"message": "The request is malformed"
}Sandbox Images
Get sandbox image status
GET
/
sandbox-images
/
{imageId}
Get sandbox image status
Authorizations
Bearer token authentication. Provide your API token prefixed with "Bearer ", e.g. "Bearer your-api-token".
Path Parameters
Sandbox image ID
Was this page helpful?